> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get postings

> Get postings created for invoices, payments, invoice cancellations.

<sup>Required permissions: `accounting:accounts:read`</sup>



## OpenAPI

````yaml get /accounting/postings
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /accounting/postings:
    parameters: []
    get:
      tags:
        - Accounting
      summary: Get postings
      description: |-
        Get postings created for invoices, payments, invoice cancellations.

        <sup>Required permissions: `accounting:accounts:read`</sup>
      operationId: getAccountingPostings
      parameters:
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
          allowReserved: false
        - name: limit
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: false
          allowReserved: false
        - name: dimension[costCentre1]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[costCentre2]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[product]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[productFamily]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[invoiceNumber]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[creditNoteNumber]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[creditNoteId]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[lineItemDescription]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[taxRate]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[subscription]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[subscriptionId]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[paymentGateway]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[paymentMethodType]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[paymentProviderReference]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[customerNumber]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[customerId]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[invoiceId]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[paymentId]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[paymentNumber]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[serviceDateFrom]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[serviceDateTo]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[reversalPostingId]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[cancelInvoiceId]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
        - name: dimension[cancelInvoiceNumber]
          in: query
          description: ''
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: string
          style: form
          explode: false
          allowReserved: false
      responses:
        '200':
          description: Posting collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Posting-PostingRead'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Posting-PostingRead'
      deprecated: false
      security:
        - JWT:
            - accounting:accounts:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /accounting/postings \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Posting-PostingRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          $ref: '#/components/schemas/PostingId-PostingRead'
          example: f3b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b
        debit:
          anyOf:
            - $ref: '#/components/schemas/Entry-PostingRead'
            - type: 'null'
        credit:
          anyOf:
            - $ref: '#/components/schemas/Entry-PostingRead'
            - type: 'null'
        createdAt:
          readOnly: true
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          type: string
          format: date-time
        type:
          type: string
          enum:
            - revenue
            - expense
            - resolveDeferal
            - deferal
            - payment
            - revenueTax
        committed:
          readOnly: true
          description: Required for api platform.
          type: boolean
    PostingId-PostingRead:
      type: object
      description: ''
      deprecated: false
    Entry-PostingRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: f3b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b
          type: string
        amount:
          $ref: '#/components/schemas/MoneyEmbedded-PostingRead'
        date:
          type: string
          format: date-time
        account:
          anyOf:
            - $ref: '#/components/schemas/AccountingAccount-PostingRead'
            - type: 'null'
        dimensions:
          description: >-
            Dimensions for the posting. Available dimensions can be found in the
            example. You can filter by dimension on the GET /accounting/postings
            route.
          example:
            costCentre1: KOST1
            costCentre2: KOST2
            product: Product name
            productFamily: Product family name
            invoiceNumber: INV-2021-0001
            lineItemDescription: Line item description
            taxRate: 19
            subscription: Subscription name
            subscriptionId: ad8f8f8f-8f8f-8f-8f-8f8f8f8f8f8f
            paymentGateway: paypal, stripe, sepa_debit, go_cardless, bank_transfer, testing
            paymentMethodType: sepa_debit, card, paypal, bank_transfer, wallet
            paymentProviderReference: PayPal reference
            customerNumber: CUST-2021-0001
            customerId: ad8f8f8f-8f8f-8f-8f-8f8f8f8f8f8f
            invoiceId: ad8f8f8f-8f8f-8f8f-8f8f-8f8f8f8f8f8f
            paymentId: 8f8f8f8f-8f8f-8f-8f-8f8f8f8f8f8f
            paymentNumber: PAY-2021-0001
            serviceDateFrom: '2021-01-01'
            serviceDateTo: '2021-01-31'
            reversalPostingId: 8f8f8f8f-8f8f-8f-8f-8f8f8f8f8f8f
            cancelInvoiceId: 8f8f8f8f-8f8f-8f-8f-8f8f8f8f8f8f
            cancelInvoiceNumber: INV-2021-0001
          type: array
          items:
            type: string
    MoneyEmbedded-PostingRead:
      type: object
      description: ''
      deprecated: false
    AccountingAccount-PostingRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          $ref: '#/components/schemas/AccountId-PostingRead'
          readOnly: true
          example: f3b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b
        name:
          description: Account name used for internal labeling.
          example: Bankkonto
          type:
            - string
            - 'null'
        number:
          description: Account number from your used skr 03 or skr 04 chart of accounts.
          example: '1200'
          type: string
        type:
          readOnly: true
          description: Type of account which references to the chart of accounts.
          example: revenueGermany
          type: string
          enum:
            - bankAccount
            - ledgerAccount
            - revenueGermany
            - revenueGermanyReduced
            - salesDeductionAccount
            - revenueEurope
            - revenueTaxFree
            - bankFees
            - passiveDeferral
            - debtor
            - paypal
            - stripe
            - sepaDebit
            - goCardless
    AccountId-PostingRead:
      type: object
      description: ''
      deprecated: false
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````